SSS_SEED(8)

NAME
sss_seed - implanta la memòria cau de l'SSSD amb un usuari

SYNOPSIS

sss_seed [opcions] -D DOMINI -n USUARI

DESCRIPCIÓ

sss_seed implanta la memòria cau de l'SSSD amb una entrada d'un usuari i la contrasenya temporal. Si l'entrada d'un usuari ja està present a la memòria cau de l'SSSD aleshores s'actualitza l'entrada amb la contrasenya temporal.

OPCIONS

-D,--domain DOMINI
    Proporciona el nom del domini en el qual l'usuari n'és membre. El domini també s'utilitza per recuperar la informació de l'usuari. El domini ha d'estar configurat a l'sssd.conf. S'ha de proporcionar l'opció del DOMINI. La informació recuperada del domini anul⋅la aquella que es proporcioni a les opcions.

-n,--username USER
    L'entrada del nom d'usuari a crear o modificar a la memòria cau. S'ha de proporcionar l'opció de l'USUARI.

-u,--uid UID
    Estableix l'UID de l'usuari a UID.

-g,--gid GID
    Estableix el GID de l'usuari a GID.

-c,--gecos COMMENTARI
    Qualsevol cadena de text amb la descripció de l'usuari. Sovint s'utilitza com a camp per al nom complet de l'usuari.

-h,--home DIRECTORI_INICIAL
    Establix el directori inicial de l'usuari a DIRECTORI_INICIAL.

-s,--shell SHELL
    Estableix el shell d'inici de sessió de l'usuari a SHELL.

-i,--interactive
    Mode interactiu per a la introducció de la informació de l'usuari. Aquesta opció només demanà la informació no proporcionada a les opcions o que no es recuperi del domini.

-p,--password-file FITXER_CONTRASENYA
    Especifica el fitxer des d'on llegir la contrasenya de l'usuari. (si no s'especifica, es demana per la contrasenya)

-?,--help
    Mostra el missatge d'ajuda i surt.

NOTES

La longitud de la contrasenya (o la mida del fitxer que s'especifica amb l'opció -p o --password-file) ha de ser més petita o igual que PASS_MAX bytes (64 bytes en els sistemes que no defineixen globalment el valor de PASS_MAX).

VEGEU TAMBÉ

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-files(5), sssd-sudo(5), sssd-secrets(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

The SSSD upstream - https://pagure.io/SSSD/sssd/